#!/bin/bash
set -euo pipefail

# Prepare pandoc filters
if [ -d pandocfilters/.git ]; then
    (cd pandocfilters && git remote update && git merge --ff-only)
else
    git clone https://github.com/octobus-net/pandocfilters.git
fi

# Dependencies for pandoc and its filters itself
python -m pip install pandocfilters
python -m pip install panflute
python -m pip install pygraphviz

CMD_NOT_FOUND=0
check_command() {
    cmd=$1
    if ! which "$cmd" >/dev/null 2>&1; then
        echo "Error: command '$cmd' not found in \$PATH"
        echo "Please install '$cmd'"
        CMD_NOT_FOUND=1
    else
        echo "$cmd command was found"
    fi
}

check_command pandoc

if [ "$CMD_NOT_FOUND" -ne "0" ]; then
    exit 1
fi
